WireguardPeers

Operations to create and manage WireGuard VPN Gateway peers.

This tag groups all operations for wireguardpeers.

Retrieve all WireguardPeers

get
/wireguardgateways/{gatewayId}/peers

This endpoint enables retrieving all WireguardPeers using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested WireguardPeers successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of WireguardPeer resources.

Example: 7c33f158-b93c-5fe7-83c6-84dde2357a33
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of WireguardPeer resources.

Example: /wireguardgateways/{gatewayId}/peers
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/wireguardgateways/{gatewayId}/peers

Create WireguardPeer

post
/wireguardgateways/{gatewayId}/peers

Creates a new WireguardPeer.

The full WireguardPeer needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
Body
metadataanyOptional

Metadata

Responses
post
/wireguardgateways/{gatewayId}/peers

Retrieve WireguardPeer

get
/wireguardgateways/{gatewayId}/peers/{peerId}

Returns the WireguardPeer by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
peerIdstring · uuidRequired

The ID (UUID) of the WireguardPeer.

Example: b62b3a40-adee-5b6c-b98d-be20bfcbdd91
Responses
chevron-right
200

Getting WireguardPeer was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the WireguardPeer.

Example: b62b3a40-adee-5b6c-b98d-be20bfcbdd91
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the WireguardPeer.

Example: /wireguardgateways/{gatewayId}/peers/b62b3a40-adee-5b6c-b98d-be20bfcbdd91
get
/wireguardgateways/{gatewayId}/peers/{peerId}

Ensure WireguardPeer

put
/wireguardgateways/{gatewayId}/peers/{peerId}

Ensures that the WireguardPeer with the provided ID is created or modified. The full WireguardPeer needs to be provided to ensure (either update or create) the WireguardPeer. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
peerIdstring · uuidRequired

The ID (UUID) of the WireguardPeer.

Example: b62b3a40-adee-5b6c-b98d-be20bfcbdd91
Body
idstring · uuidRequired

The ID (UUID) of the WireguardPeer.

Example: b62b3a40-adee-5b6c-b98d-be20bfcbdd91
metadataanyOptional

Metadata

Responses
chevron-right
200

WireguardPeer successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the WireguardPeer.

Example: b62b3a40-adee-5b6c-b98d-be20bfcbdd91
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the WireguardPeer.

Example: /wireguardgateways/{gatewayId}/peers/b62b3a40-adee-5b6c-b98d-be20bfcbdd91
put
/wireguardgateways/{gatewayId}/peers/{peerId}

Delete WireguardPeer

delete
/wireguardgateways/{gatewayId}/peers/{peerId}

Deletes the specified WireguardPeer.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
peerIdstring · uuidRequired

The ID (UUID) of the WireguardPeer.

Example: b62b3a40-adee-5b6c-b98d-be20bfcbdd91
Responses
delete
/wireguardgateways/{gatewayId}/peers/{peerId}

No content

Last updated

Was this helpful?